import java.rmi.*;
import java.io.*;
import java.net.*;

/*
 * This implements an interface for remote file handling using RMI
 *
 * @Author Francesco Caporale <fcaporale@libero.it>
 * 	   Andrea Ferraresi   <andrea.ferraresi@gmail.com>	
 */

public interface RemoteFile extends Remote {
    
    public boolean canRead() throws RemoteException;
    public boolean canWrite() throws RemoteException;
    public int compareTo(File pathname) throws RemoteException;

    /*
     * TODO:
     * search for other functions
     */

}
